function printData(r1,r2,r3)
xData{1} = [1:length(r1)];
xData{2} = [1:length(r2)];
xData{3} = [1:length(r3)];

yData{1}=r1;
yData{2}=r2;
yData{3}=r3;

options=loadopt_conv;
options.lineWidth  = 5;
options.xlabel = 'Iteration';
options.ylabel = 'Objective';
options.legend = {'Propposed','Standard ADMM','SubGradient'};
options.legendLoc = 'NorthEast';
options.labelLines = 0;
options.logScale=1;
prettyPlot(xData,yData,options);

set(gcf,'paperpositionmode','auto')
print(sprintf('%s.eps',mfilename),'-depsc2','-loose');
print(sprintf('%s.png',mfilename),'-dpng');